classification
Title: PyObject_CallMethod changes the exception message already set by PyObject_GetAttr
Type: behavior Stage: resolved
Components: Interpreter Core Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, benjamin.peterson, gpolo, python-dev
Priority: normal Keywords: patch

Created on 2008-11-18 14:15 by gpolo, last changed 2014-06-27 06:29 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
abstract_dont_re_set_except_msg.diff gpolo, 2008-11-18 14:15 review
Messages (5)
msg76009 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-11-18 14:15
Why is PyObject_CallMethod resetting the exception message that is
already set (if an exception happened, that is) by PyObject_Getattr ?
msg112872 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-04 19:40
The patch changes abstract.c can a C guru take a look please.
msg125576 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2011-01-06 18:29
We should probably just kill the LBYL.
msg221660 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-26 23:06
The calls to type_error in the patch that have been added and removed appear to be identical, I don't know if this is by accident or design.
msg221678 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-06-27 06:29
New changeset aa4b4487c7ad by Benjamin Peterson in branch '2.7':
don't overwrite the error from PyObject_GetAttrString (closes #4346)
http://hg.python.org/cpython/rev/aa4b4487c7ad
History
Date User Action Args
2014-06-27 06:29:32python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg221678

resolution: fixed
stage: patch review -> resolved
2014-06-26 23:06:47BreamoreBoysetnosy: + BreamoreBoy

messages: + msg221660
versions: + Python 3.4, Python 3.5, - Python 3.1, Python 3.2
2011-01-06 18:29:33benjamin.petersonsetnosy: benjamin.peterson, gpolo
messages: + msg125576
2011-01-06 17:42:42pitrousetnosy: + benjamin.peterson, - BreamoreBoy
2010-08-04 19:40:02BreamoreBoysetversions: + Python 3.1, Python 3.2
nosy: + BreamoreBoy

messages: + msg112872

type: behavior
stage: patch review
2008-11-18 14:15:19gpolocreate